REDECLIPSE-SERVER(6)

NAME
redeclipse-server - script to launch the server for the Red Eclipse FPS game

SYNOPSIS
redeclipse-server [-hhomedir] [-ppackagedir] [-osauerdir] [-glogfile] [-ss{0..3}] [-skjoinpass] [-sPadminpass] [-sldefaultmap] [-x"command(s)"] [-siserverip] [-spserverport] [-smservermaster] [-saservermasterport] [-suserveruprate] [-ms{0|1}] [-mimasterip] [-mpmasterport] [--help] [-v{0..4}]

DESCRIPTION
Red Eclipse is a single-player and multi-player first-person ego-shooter, built as a total conversion of Cube Engine 2, which lends itself toward a balanced gameplay, with a general theme of agility in a variety of environments.

redeclipse-server is a script which executes the redeclipse-server binary from the /usr/local/lib/redeclipse directory.

The recommended way to change the settings of the server is to create and edit the file servinit.cfg in your home directory. Examples are available in /usr/local/share/doc/redeclipse/examples/

OPTIONS

  Filesystem options

-hhomedir
    Sets your home directory to homedir. This is where servinit.cfg is read from, it defaults to $HOME/.redeclipse/.

-ppackagedir
    Includes the data files found in packagedir. Can be used for adding additional maps that may be distributed to clients. By default redeclipse-server only includes data files in the working directory /usr/local/share/redeclipse/data and in the subdirecory temp of the home directory.

-osauerdir
    Sets the path to your Sauerbraten directory. If the Red Eclipse server can find your Sauerbraten directory, it will be able to load and distribute maps from it.

-glogfile
    Output log to logfile. Path is set relative to homedir unless a leading '/' is used, uses stdout if -g is given without a parameter. Defaults to stdout.

  Server configuration options

-ss{0..3}
    Sets server type. 0 for local only, 1 for private, 2 for public, 3 for dedicated. Defaults to 1.

-skjoinpass
    Sets the join password to joinpass. Users must know the password before they can connect.

-sPadminpass
    Sets the admin password to adminpass.

-scmaxclients
    Sets the maximum number of clients to maxclients.

-sldefaultmap
    Sets default map to defaultmap.

-x"command 1; command 2; ..."
    Executes a list of commands once the Red Eclipse server has started up.

  Server connection options

-siserverip
    Binds the server to the host address serverip. Only needed for machines with more than one interface.

-spserverport
    sets the server port to serverport.

-smservermaster
    Uses servermaster as the master server, defaults to play.redeclipse.net.

-saservermasterport
    Contacts the master server using port servermasterport, defaults to 28800.

-suserveruprate
    Caps upstream rate to serveruprate. Once the cap is hit it will likely cause major connection glitching and disconnects. Use maxclients for bandwitch limiting instead.

  Master server options

-ms{0|1}
    Enables the server to act as a master server, defaults to 0.

-mimasterip
    Binds the master server to the host address masterip. Only needed for machines with more than one interface, defaults to localhost.

-mpmasterport
    Binds the master server to the host port masterport, defaults to 28800.

  General options

--help
    Display this manpage

-v{0..4}
    Sets verbosity. This affects how much information is printed to the console. 0 is the least verbose, 4 is the most verbose.

EXAMPLES
redeclipse-server -p$HOME/mod/data -ss0 -slbath -sPpass
    Loads data from an additional directory, sets the server type to local (LAN), sets the default map to "bath" and sets the admin password to "pass"
redeclipse-server -h$HOME/redeclipse-server_configs/
    Reads and writes the configuration files to the specified directory instead of $HOME/.redeclipse/.

AUTHORS
Red Eclipse's main developers are Quinton "quin" Reeves and Lee "eihrul" Salzman

This manual page was written by Martin Erik Werner <martinerikwerner@gmail.com>

HISTORY
Red Eclipse was forked as a continuation of the game Bloodfrontier, which in turn was based on the Cube2 engine and the Sauerbraten game. Red Eclipse and Sauerbraten are now developed in parallel.

SEE ALSO
redeclipse(6)